Gecode::Int::Branch::MeritActionSize< View > Class Template Reference
Other available functionality » Merit-based integer view selection for branchers

Merit class for action over size. More...

`#include <branch.hh>`

## Public Member Functions

| MeritActionSize (Space &home, const VarBranch< Var > &vb)
| Constructor for initialization.
| MeritActionSize (Space &home, MeritActionSize &m)
| Constructor for cloning.
double | operator() (const Space &home, View x, int i)
| Return action over size as merit for view x at position i.
bool | notice (void) const
| Whether dispose must always be called (that is, notice is needed).
void | dispose (Space &home)
| Dispose view selection.
Public Member Functions inherited from Gecode::MeritBase< View, double >
| MeritBase (Space &home, const VarBranch< Var > &vb)
| Constructor for initialization.
bool | notice (void) const
| Whether dispose must always be called (that is, notice is needed).
void | dispose (Space &home)
| Delete view merit class.

## Protected Attributes

Action | action
| Action information.

## Additional Inherited Members

Public Types inherited from Gecode::MeritBase< View, double >
typedef View | View
| View type.
typedef View::VarType | Var
| Corresponding variable type.
typedef double | Val
| Type of merit.

## Detailed Description

template<class View>
class Gecode::Int::Branch::MeritActionSize< View >

Merit class for action over size.

Requires

#include <gecode/int/branch.hh>
branch.hh

Definition at line 166 of file branch.hh.

## Constructor & Destructor Documentation

## MeritActionSize() [1/2]

template<class View>

Gecode::Int::Branch::MeritActionSize< View >::MeritActionSize | ( | Space & | home,
|  | const VarBranch< Var > & | vb )

Constructor for initialization.

## MeritActionSize() [2/2]

template<class View>

Gecode::Int::Branch::MeritActionSize< View >::MeritActionSize | ( | Space & | home,
|  | MeritActionSize< View > & | m )

inline

Constructor for cloning.

Definition at line 135 of file merit.hpp.

## Member Function Documentation

## operator()()

template<class View>

double Gecode::Int::Branch::MeritActionSize< View >::operator() | ( | const Space & | home,
|  | View | x,
|  | int | i )

inline

Return action over size as merit for view x at position i.

Definition at line 139 of file merit.hpp.

## notice()

template<class View>

bool Gecode::Int::Branch::MeritActionSize< View >::notice | ( | void |  | ) | const

inline

Whether dispose must always be called (that is, notice is needed).

Definition at line 144 of file merit.hpp.

## dispose()

template<class View>

void Gecode::Int::Branch::MeritActionSize< View >::dispose | ( | Space & | home | ) |

inline

Dispose view selection.

Definition at line 149 of file merit.hpp.

## Member Data Documentation

## action

template<class View>

Action Gecode::Int::Branch::MeritActionSize< View >::action

protected

Action information.

Definition at line 170 of file branch.hh.

The documentation for this class was generated from the following files:

- gecode/int/branch.hh
- gecode/int/branch/merit.hpp